TypeDefinitionIntegerImpl.LongValue (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.meta.impl

## Class TypeDefinitionIntegerImpl.LongValue

- java.lang.Object
- - tv.amwa.maj.meta.impl.TypeDefinitionImpl.PropertyValueImpl
  - - tv.amwa.maj.meta.impl.TypeDefinitionIntegerImpl.BaseIntegerValue
    - - tv.amwa.maj.meta.impl.TypeDefinitionIntegerImpl.LongValue

- All Implemented Interfaces:
    PropertyValue
  Enclosing class:
    TypeDefinitionIntegerImpl

      public static class TypeDefinitionIntegerImpl.LongValue
      extends TypeDefinitionIntegerImpl.BaseIntegerValue
      implements PropertyValue

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getValue()` Returns the value of the property through a generic Java object interface.

    - ### Methods inherited from class tv.amwa.maj.meta.impl.TypeDefinitionIntegerImpl.BaseIntegerValue

      `getType, isDefinedType`

    - ### Methods inherited from class tv.amwa.maj.meta.impl.TypeDefinitionImpl.PropertyValueImpl

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.PropertyValue

      `equals, getType, hashCode, toString`

- - ### Method Detail

    - #### getValue

          public Long getValue()

      Description copied from interface: `PropertyValue`

      Returns the value of the property through a generic Java object interface. Alternative type-specific access methods are provided in each type definition.

      For example, for a property value of a `UInt32` type, this method returns an `Integer`. Values will need to be cast to appropriate types by the application. The value returned may be `null`, which may indicate that an optional property was not present.

      Specified by:
        `getValue` in interface `PropertyValue`
      Returns:
        Value of this property.
      See Also:
        `TypeDefinition.createValue(Object)`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.